Link a messaging app identity
curl --request PUT \
--url https://api.interchange.io/api/v2/messaging-apps/{definitionId}/installations/{installationId}/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalActorId": "<string>",
"userId": 4503599627370495
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/{definitionId}/installations/{installationId}/identity"
payload = {
"externalActorId": "<string>",
"userId": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalActorId: '<string>', userId: 4503599627370495})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/{definitionId}/installations/{installationId}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"linked": true,
"userId": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Link a messaging app identity
Link one provider actor to an active member of the authenticated customer. Raw provider identity is keyed before persistence and is not returned.
PUT
/
messaging-apps
/
{definitionId}
/
installations
/
{installationId}
/
identity
Link a messaging app identity
curl --request PUT \
--url https://api.interchange.io/api/v2/messaging-apps/{definitionId}/installations/{installationId}/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalActorId": "<string>",
"userId": 4503599627370495
}
'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/{definitionId}/installations/{installationId}/identity"
payload = {
"externalActorId": "<string>",
"userId": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalActorId: '<string>', userId: 4503599627370495})
};
fetch('https://api.interchange.io/api/v2/messaging-apps/{definitionId}/installations/{installationId}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"linked": true,
"userId": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json